/*
 * LCD16X2.h
 *
 * Created: 28/07/2019 21:12:02
 *  Author: Marlon
 */ 


#ifndef LCD16X2_H_
#define LCD16X2_H_


// DEFINICIONES DE APOYO

#include <built_in.h>

//****************************************//*
#define      LCD_FIRST_ROW           0x80 //*
#define      LCD_SECOND_ROW          0xC0 //*
#define      LCD_THIRD_ROW           0x94 //*
#define      LCD_FOURTH_ROW          0xD4 //*
#define      LCD_CLEAR               0x01 //*
#define      LCD_RETURN_HOME         0x02 //*
#define      LCD_DIRECTION           0x06 //*
#define      LCD_CURSOR_OFF          0x0C //*
#define      LCD_UNDERLINE_ON        0x0E //*
#define      LCD_BLINK_CURSOR_ON     0x0F //*
#define      LCD_MOVE_CURSOR_LEFT    0x10 //*
#define      LCD_MOVE_CURSOR_RIGHT   0x14 //*
#define      LCD_TURN_OFF            0x00 //*
#define      LCD_TURN_ON             0x08 //*
#define      LCD_SHIFT_LEFT          0x18 //*
#define      LCD_SHIFT_RIGHT         0x1C //*
#define      LCD_CONTROLLER          0x33 //*
#define      LCD_SET_4BIT_MODE       0x32 //*
#define      LCD_FOR_2LINE           0x28 //*
//****************************************//*


// FUNCIONES BÁSICAS
void Lcd_Begin(void);
void Lcd_Out_strg(unsigned char P, unsigned char L, char *buffer);
void Lcd_Out_char(unsigned char P, unsigned char L, char ch);
void Lcd_Chr_Char(char data1);
void Lcd_write_cmd(unsigned char data1);

#endif /* LCD16X2_H_ */